Package org.eclipse.gef.fx.nodes

# Class HoverOverlayImageView

java.lang.Object
javafx.scene.Node
javafx.scene.Parent
javafx.scene.Group
org.eclipse.gef.fx.nodes.HoverOverlayImageView

All Implemented Interfaces:
  `javafx.css.Styleable`, `javafx.event.EventTarget`

public class HoverOverlayImageView extends javafx.scene.Group
A `Group` that combines two `ImageView`s, realizing an overlay effect (by adjusting the respective opacities) upon mouse hover.

## Property Summary

Properties
Type
Property
Description
`javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image>`
`baseImage`
Returns the `SimpleObjectProperty` which stores the base `Image` of this `HoverOverlayImageView`.
`javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image>`
`overlayImage`
Returns the `SimpleObjectProperty` which stores the overlay `Image` of this `HoverOverlayImageView`.

### Properties inherited from class javafx.scene.Group

`autoSizeChildren`

### Properties inherited from class javafx.scene.Parent

`needsLayout`

### Properties inherited from class javafx.scene.Node

`accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

## Field Summary

### Fields inherited from class javafx.scene.Node

`BASELINE_OFFSET_SAME_AS_HEIGHT`

## Constructor Summary

Constructors
Constructor
Description
`HoverOverlayImageView()`
Constructs a new `HoverOverlayImageView`.

## Method Summary

Modifier and Type
Method
Description
`javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image>`
`baseImageProperty()`
Returns the `SimpleObjectProperty` which stores the base `Image` of this `HoverOverlayImageView`.
`protected void`
`createImageViews()`
Creates the `ImageView`s for the base and overlay image.
`javafx.scene.image.ImageView`
`getBaseImageView()`
Returns the `ImageView` which displays the base `Image`.
`javafx.scene.image.ImageView`
`getOverlayImageView()`
Returns the `ImageView` which displays the overlay `Image`.
`javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image>`
`overlayImageProperty()`
Returns the `SimpleObjectProperty` which stores the overlay `Image` of this `HoverOverlayImageView`.
`protected void`
`registerHoverEffect()`
Registers event listeners realizing the overlay effect on mouse hover.
`protected void`
`registerPropertyListeners()`
Registers property listeners for updating the `ImageView` s.

### Methods inherited from class javafx.scene.Group

`autoSizeChildrenProperty, getChildren, isAutoSizeChildren, layoutChildren, minHeight, minWidth, prefHeight, prefWidth, setAutoSizeChildren`

### Methods inherited from class javafx.scene.Parent

`computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, getBaselineOffset, getChildrenUnmodifiable, getManagedChildren, getStylesheets, isNeedsLayout, layout, lookup, needsLayoutProperty, queryAccessibleAttribute, requestLayout, requestParentLayout, setNeedsLayout, updateBounds`

### Methods inherited from class javafx.scene.Node

`accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClassCssMetaData, getClip, getContentBias, getCssMetaData, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookupAll, managedProperty, maxHeight, maxWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, pressedProperty, pseudoClassStateChanged, relocate, removeEventFilter, removeEventHandler, requestFocus, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.css.Styleable

`getStyleableNode`

## Property Details

### baseImage

public javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image> baseImageProperty
Returns the `SimpleObjectProperty` which stores the base `Image` of this `HoverOverlayImageView`.

### overlayImage

public javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image> overlayImageProperty
Returns the `SimpleObjectProperty` which stores the overlay `Image` of this `HoverOverlayImageView`.

## Constructor Details

### HoverOverlayImageView

public HoverOverlayImageView()
Constructs a new `HoverOverlayImageView`.

## Method Details

### baseImageProperty

public javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image> baseImageProperty()
Returns the `SimpleObjectProperty` which stores the base `Image` of this `HoverOverlayImageView`.

### createImageViews

protected void createImageViews()
Creates the `ImageView`s for the base and overlay image. Sets the opacity of the overlay `ImageView` to `0%` and the opacity of the base `ImageView` to `80%`.

### getBaseImageView

public javafx.scene.image.ImageView getBaseImageView()
Returns the `ImageView` which displays the base `Image`.

Returns:
  The `ImageView` which displays the base `Image`.

### getOverlayImageView

public javafx.scene.image.ImageView getOverlayImageView()
Returns the `ImageView` which displays the overlay `Image`.

Returns:
  The `ImageView` which displays the overlay `Image`.

### overlayImageProperty

public javafx.beans.property.SimpleObjectProperty<javafx.scene.image.Image> overlayImageProperty()
Returns the `SimpleObjectProperty` which stores the overlay `Image` of this `HoverOverlayImageView`.

### registerHoverEffect

protected void registerHoverEffect()
Registers event listeners realizing the overlay effect on mouse hover.

### registerPropertyListeners

protected void registerPropertyListeners()
Registers property listeners for updating the `ImageView` s.